Package org.pushingpixels.substance.internal.plugin

# Class BaseSkinPlugin

java.lang.Object
org.pushingpixels.substance.internal.plugin.BaseSkinPlugin

All Implemented Interfaces:
  `org.pushingpixels.lafplugin.LafPlugin`, `SubstanceSkinPlugin`

public class BaseSkinPlugin extends Object implements SubstanceSkinPlugin
Core plugin for skins. See `SubstanceSkinPlugin` interface. This class is for internal use only.

## Field Summary

### Fields inherited from interface org.pushingpixels.lafplugin.LafPlugin

`TAG_MAIN`

### Fields inherited from interface org.pushingpixels.substance.internal.plugin.SubstanceSkinPlugin

`TAG_SKIN_PLUGIN_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BaseSkinPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultSkinClassName()`
Returns the class name of the default skin.
`Set<SkinInfo>`
`getSkins()`
Returns information on all available skins in `this` plugin.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseSkinPlugin

public BaseSkinPlugin()

## Method Details

### getSkins

public Set<SkinInfo> getSkins()
Description copied from interface: `SubstanceSkinPlugin`
Returns information on all available skins in `this` plugin.

Specified by:
  `getSkins` in interface `SubstanceSkinPlugin`
Returns:
  Information on all available skins in `this` plugin.

### getDefaultSkinClassName

public String getDefaultSkinClassName()
Description copied from interface: `SubstanceSkinPlugin`
Returns the class name of the default skin.

Specified by:
  `getDefaultSkinClassName` in interface `SubstanceSkinPlugin`
Returns:
  The class name of the default skin.